criticalsection.h File Reference
`#include "vn/error.h"`

Go to the source code of this file.

## Data Structures

struct | VnCriticalSection

## Functions

VnError | VnCriticalSection_initialize (VnCriticalSection *criticalSection)
VnError | VnCriticalSection_deinitialize (VnCriticalSection *criticalSection)
| Disposes of a VnCriticalSection structure and associated resources. More...
VnError | VnCriticalSection_enter (VnCriticalSection *criticalSection)
| Attempt to enter a critical section. More...
VnError | VnCriticalSection_leave (VnCriticalSection *criticalSection)
| Leave a critical section. More...

## Detailed Description

{COMMON_HEADER}

# DESCRIPTION

This header file contains structures and functions useful for critical sections.

## Function Documentation

VnError VnCriticalSection_deinitialize | ( | VnCriticalSection * | criticalSection | ) |

Disposes of a VnCriticalSection structure and associated resources.

Parameters

  [in] | criticalSection | The associated VnCriticalSection structure.

Returns
  Any errors encountered.

VnError VnCriticalSection_enter | ( | VnCriticalSection * | criticalSection | ) |

Attempt to enter a critical section.

Parameters

  [in] | criticalSection | The associated VnCriticalSection structure.

Returns
  Any errors encountered.

VnError VnCriticalSection_initialize | ( | VnCriticalSection * | criticalSection | ) |

Initializes a VnCriticalSection structure.

Parameters

  [in] | criticalSection | The VnCriticalSection structure to initialize.

Returns
  Any errors encountered.

VnError VnCriticalSection_leave | ( | VnCriticalSection * | criticalSection | ) |

Leave a critical section.

Parameters

  [in] | criticalSection | The associated VnCriticalSection structure.

Returns
  Any errors encountered.